package com.hfkj.service.agent;

import com.hfkj.entity.BsAgent;

import java.util.List;
import java.util.Map;

/**
 * @className: BsAgentService
 * @author: HuRui
 * @date: 2024/2/28
 **/
public interface BsAgentService {

    /**
     * 编辑数据
     * @param data 数据
     */
    BsAgent editData(BsAgent data);

    /**
     * 创建代理商
     * @param loginName 登录名称
     * @param agent     代理商
     */
    BsAgent createAgent(String loginName, BsAgent agent) throws Exception;

    /**
     * 修改代理商
     * @param agent
     * @return
     * @throws Exception
     */
    BsAgent updateAgent(BsAgent agent);

    /**
     * 禁用
     * @param agentNo
     */
    void disable(String agentNo);

    /**
     * 启用
     * @param agentNo
     */
    void enable(String agentNo);
    /**
     * 查询代理商
     * @param id
     * @return
     */
    BsAgent getAgentById(Long id);

    /**
     * 根据代理商编号查询代理商
     * @param agentNo
     * @return
     */
    BsAgent getAgentByAgentNo(String agentNo);

    /**
     * 查询代理商列表
     * @param param
     * @return
     */
    List<BsAgent> getAgentList(Map<String,Object> param);

}
